Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-40575

Published: 31 August 2023

FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), released under the Apache license. Affected versions are subject to an Out-Of-Bounds Read in the `general_YUV444ToRGB_8u_P3AC4R_BGRX` function. This issue is likely down to insufficient data for the `pSrc` variable and results in crashes. This issue has been addressed in version 3.0.0-beta3. Users are advised to upgrade. There are no known workarounds for this issue.

Priority

Medium

Cvss 3 Severity Score

9.1

Score breakdown

Status

Package Release Status
freerdp2
Launchpad, Ubuntu, Debian
trusty Ignored
(end of standard support)
xenial Ignored
(end of standard support)
upstream Not vulnerable
(debian: Vulnerable code not present)
bionic Not vulnerable
(2.2.0+dfsg1-0ubuntu0.18.04.4)
focal Not vulnerable
(2.2.0+dfsg1-0ubuntu0.20.04.4)
jammy Not vulnerable
(2.6.1+dfsg1-3ubuntu2.3)
lunar Not vulnerable
(2.10.0+dfsg1-1)
mantic Not vulnerable
(2.10.0+dfsg1-1.1)

Severity score breakdown

Parameter Value
Base score 9.1
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H